#-------------------------------------------------
#
# Project created by QtCreator 2013-02-03T09:25:09
#
#-------------------------------------------------

QT       += core gui xml

TARGET = ADuC_bypassUpgrade
TEMPLATE = app

VERSION         = "0.0.3"
VERSION_DATE    = "06/02/2013"

DEFINES += VERSION=\\\"$$VERSION\\\"
DEFINES += VERSION_DATE=\\\"$$VERSION_DATE\\\"

INCLUDEPATH += ../SrlRepository \
#path Nicola
    ../../Libraries/qextserialport/src \
#path Davide
    ../qextserialport/src

SOURCES += main.cpp\
        mw_aducbypassupgrade.cpp \
    xmltotreewidget.cpp \
    aducxmltotreewidget.cpp \
    ../SrlRepository/Medicacommerrors.cpp \
    ../SrlRepository/MEDICACommand.cpp \
    ../SrlRepository/LOADERCommands.cpp \
    ../SrlRepository/CRRTSrlManager.cpp \
    ../SrlRepository/CRRTCommands.cpp \
    ../SrlRepository/classcomsettingfile.cpp \
    ../SrlRepository/SPSCommands.cpp \
    comsettings.cpp \
    aducparseqdom.cpp \
    aducupgrademanager.cpp

HEADERS  += mw_aducbypassupgrade.h \
    xmltotreewidget.h \
    aducxmltotreewidget.h \
    ../SrlRepository/sps_production_steps.h \
    ../SrlRepository/sps_alarms.h \
    ../SrlRepository/protocol_CRRT_PC_Types.h \
    ../SrlRepository/MedicaCommErrors.h \
    ../SrlRepository/MEDICACommand.h \
    ../SrlRepository/LOADERCommands.h \
    ../SrlRepository/loader_types.h \
    ../SrlRepository/Global.h \
    ../SrlRepository/CRRTSrlManager.h \
    ../SrlRepository/CRRTCommands.h \
    ../SrlRepository/crrt_treatment_steps.h \
    ../SrlRepository/crrt_tests.h \
    ../SrlRepository/crrt_alarms.h \
    ../SrlRepository/classcomsettingfile.h \
    ../SrlRepository/app_info.h \
    ../SrlRepository/stdDataTypes.h \
    ../SrlRepository/SPSCommands.h \
    comsettings.h \
    aducparseqdom.h \
    ../SrlRepository/ADuCUPGRADECommands.h \
    aducupgrademanager.h \
    ../SrlRepository/CRRT_types.h

FORMS    += mw_aducbypassupgrade.ui \
    ComSettings.ui

#Configurazioni per device IMX51
#    LIBS += -L../qextserialport-release-device -lqextserialport

win32 {
# Configurazione host windows
#path Davide
 LIBS += -L../qextserialport-build-desktop/src/build -lqextserialport1
#path Nicola
 LIBS += -L../../Libraries/lib -lqextserialport1

  DEFINES += WIN32
}
unix {
# Configurazione host linux
  LIBS += -L../qextserialport-release-host -lqextserialport

  DEFINES += UNIX
  #SPLASH MODE IS NEEDED ON TARGET, CAN BE COMMENTED ON PC
  DEFINES += SPLASH_MODE
}


DEPENDPATH += ../qextserialport/src \
                ../../Libraries/qextserialport/src


QMAKE_CXXFLAGS += -Wl,--stack,1048576
