#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
from PyQt4 import QtGui
from PyQt4 import QtCore
import mercurial

import tkinter 
from tkinter import *

#class CmdThread(mercurial.CmdThread):
#   def interact_handler(self, wrapper)
     
class InputDialog(QtGui.QDialog):
  def __init__(self, parent=None):
    QtGui.QDialog.__init__(self, parent=self._parentWidget())

    self.setGeometry(300, 300, 350, 80)
    self.setWindowTitle('Update Hook InputDialog')
	
    self.label = QtGui.QLineEdit(self)
    self.label.move(20, 22)
	
    self.button = QtGui.QPushButton('OK', self)
    self.button.setFocusPolicy(QtCore.Qt.NoFocus)
    self.button.move(230, 20)
	
	  #wird angezeigt
    #self.connect(self.button, QtCore.SIGNAL('clicked()'), self.accept)
    self.connect(self.button, QtCore.SIGNAL('clicked()'), self.close)
    self.setFocus()
    
  def _parentWidget(self):
    p = self.parent()
    while p and not p.isWidgetType():
      p = p.parent()  
    return p
    
  def getValues(self):
		return 1			


def gui_update_hook(ui, repo, hooktype, node=None, source=None, **kwargs):
  app = None
  ui.status("commit_hook start\n")    
  ui.status("commit_hook start" + str(QtGui.QApplication.instance()) + "\n")
  
  #QtCore.pyqtRemoveInputHook()
  
  #if started via cmd there is no QApplication instance available 
  if (None==QtGui.QApplication.instance()):
    app = QtGui.QApplication(sys.argv)
    ui.status("app created:" + str(app) + "\n")
  else:
    hgApp = QtGui.QApplication.instance()
    ui.status("hgApp created:" + str(hgApp) + "\n")
   
  dialog = InputDialog()
  dialog.setWindowFlags(Qt.Sheet)
  dialog.setWindowModality(Qt.WindowModal)  
  
  dialog.show()
  ui.status("dialog instanziert" + str(dialog) + "\n")
  dialog.exec_()
  
  if (app==QtGui.QApplication.instance()):
    ui.status("run own app:" + str(app) + "\n")
    app.exec_()
  else:
    ui.status("run hgApp app:" + str(hgApp) + "\n")
    hgApp.exec_()
    
  ui.status("commit_hook end\n")
  
  if (app==QtGui.QApplication.instance()):
    ui.status("sys.exit:" + str(app) + "\n")
    sys.exit(1)
    
  #QtCore.pyqtRestoreInputHook()

  
def simple_update_hook(ui, repo, hooktype, node=None, source=None, **kwargs):  
  ui.status("ui: " + str(ui) + "\n")
  name = ui.prompt("Name? ", default = "Fritz")
  ui.status("Name: " + str(name) + "\n")

def update_hook(ui, repo, hooktype, node=None, source=None, **kwargs):  
  root =Tk()
  root.title('entry widget')
  Label (text='enter the file name').pack(side=TOP,padx=10,pady=10)
  Entry(root, width=10).pack(side=TOP,padx=10,pady=10)
  Button(root, text='open').pack(side= LEFT)
  Button(root, text='edit').pack(side= LEFT)
  Button(root, text='exit').pack(side= RIGHT)
  Button(root, text='close').pack(side= RIGHT)
  root.mainloop()



    
