#include <stdbool.h>
#include <stdlib.h>

#include "track.h"
#include "auth.h"
#include "lastfm.h"
#include "buylink_private.h"
#include "shouts_private.h"

#include "helper/list.h"

LASTFM_BUYLINKS *track_getBuyLinks(const char *artist,
                                   const char *track,
                                   const char *mbid,
                                   const char *country,
                                   const bool autocorrect,
                                   LASTFM_AUTH *auth)
{
    return getBuyLinks(artist, NULL, track, mbid, country, autocorrect, auth, PAGE_TRACK);
}

LASTFM_SHOUTS *track_getShouts(const char *artist,
                               const char *track,
                               const char *mbid,
                               const unsigned int page,
                               const unsigned int limit,
                               const bool autocorrect,
                               LASTFM_AUTH *auth)
{
    return getShouts(NULL, artist, NULL, track, mbid, NULL, page, limit, autocorrect, auth, PAGE_TRACK);
}
