#ifndef _TRACK_H
#define _TRACK_H

#include <stdbool.h>

#include "auth.h"
#include "buylink.h"
#include "shouts.h"

#include "helper/list.h"

LASTFM_BUYLINKS *track_getBuyLinks(const char *artist,
                                   const char *track,
                                   const char *mbid,
                                   const char *country,
                                   const bool autocorrect,
                                   LASTFM_AUTH *auth);
                                   
LASTFM_SHOUTS *track_getShouts(const char *artist,
                               const char *track,
                               const char *mbid,
                               const unsigned int page,
                               const unsigned int limit,
                               const bool autocorrect,
                               LASTFM_AUTH *auth);

#endif
