#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "md5.h"
#include "md5/md5.h"

char *md5(const char *str)
{
    md5_state_t state;
    md5_byte_t digest[16];
    char *hash;
    unsigned int i;
    
    md5_init(&state);
    md5_append(&state, str, strlen(str));
    md5_finish(&state, digest);
    
    hash = malloc(sizeof(char) * (32 + 1));
    for(i = 0; i < 16; ++i)
    {
        sprintf(hash + i*2, "%02x", digest[i]);
    }
    
    return hash;
}
