#ifndef _SHOUTS_H
#define _SHOUTS_H

#include <time.h>

#include "lastfm.h"
#include "helper/list.h"

typedef struct LASTFM_SHOUT LASTFM_SHOUT;
typedef struct LASTFM_SHOUTS LASTFM_SHOUTS;

struct LASTFM_SHOUT
{
    char *body;
    char *author;
    struct tm *date;
};

struct LASTFM_SHOUTS
{
    PAGE_TYPE
    LIST *shouts;
    union {
        struct {
            char *artist;
            union {
                char *album;
                char *track;
            };
        };
        char *event;
    };
    unsigned int page;
    unsigned int perPage;
    unsigned int totalPages;
    unsigned int total;
};

void lastfm_shouts_delete(LASTFM_SHOUTS *shouts);

#endif
